summaryrefslogtreecommitdiff
path: root/src/pmdas/dbping/Install
diff options
context:
space:
mode:
Diffstat (limited to 'src/pmdas/dbping/Install')
-rwxr-xr-xsrc/pmdas/dbping/Install36
1 files changed, 36 insertions, 0 deletions
diff --git a/src/pmdas/dbping/Install b/src/pmdas/dbping/Install
new file mode 100755
index 0000000..09f5432
--- /dev/null
+++ b/src/pmdas/dbping/Install
@@ -0,0 +1,36 @@
+#! /bin/sh
+#
+# Copyright (c) 2008 Aconex. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# Install the Database Ping PMDA
+#
+
+. $PCP_DIR/etc/pcp.env
+. $PCP_SHARE_DIR/lib/pmdaproc.sh
+
+iam=dbping
+dso_opt=false
+perl_opt=true
+daemon_opt=false
+forced_restart=false
+
+perl -e "use DBI" 2>/dev/null
+if test $? -ne 0; then
+ echo "Perl database interface (DBI) is not installed"
+ exit 1
+fi
+
+pmdaSetup
+pmdaInstall
+
+exit 0